Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043705
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2020-04-08 10:562020-08-20 08:52
ReporterjarmendarizView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043705: Fix security issues in npm dependencies

DescriptionCurrently, when running 'npm install', the following message is shown:

found 38973 vulnerabilities (38958 low, 15 moderate)
  run `npm audit fix` to fix them, or `npm audit` for details
Steps To ReproduceExecute 'npm install' and check the output
Proposed SolutionRun 'npm audit fix' and update package-lock.json.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0042957 closedjarmendariz Update package-lock.json to fix npm-reported vulnerabilities 
related to defect 0044856 newplatform Upgrade Jest to latest stable version 

-  Notes
(0122169)
hgbot (developer)
2020-08-19 12:29

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/124 [^]
(0122202)
hgbot (developer)
2020-08-20 08:52

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/124 [^]
(0122203)
hgbot (developer)
2020-08-20 08:52

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 87cfba584ac51aaf0786528f3f41f13cd33538bc
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2020-08-19T12:26:43+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/87cfba584ac51aaf0786528f3f41f13cd33538bc [^]

Fixed ISSUE-43705: Ran npm audit fix to update package-lock.json to fix most security vulnerabilities

---
M package-lock.json
---

- Issue History
Date Modified Username Field Change
2020-04-08 10:56 jarmendariz New Issue
2020-04-08 10:56 jarmendariz Assigned To => platform
2020-04-08 10:56 jarmendariz Modules => Core
2020-04-08 10:56 jarmendariz Triggers an Emergency Pack => No
2020-04-08 10:58 jarmendariz Relationship added related to 0042957
2020-08-19 12:29 hgbot Note Added: 0122169
2020-08-20 08:52 hgbot Resolution open => fixed
2020-08-20 08:52 hgbot Status new => closed
2020-08-20 08:52 hgbot Note Added: 0122202
2020-08-20 08:52 hgbot Fixed in Version => PR20Q4
2020-08-20 08:52 hgbot Note Added: 0122203
2020-08-20 09:01 jarmendariz Relationship added related to 0044856


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker